<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Moh
 */
$server->register(
    'getMohClass',
    array('classname'=>'xsd:string'),
    array('return'=>'tns:MohClassStructureArray'),
    $NAMESPACE);
$server->register(
    'createMohClass',
    array('definition'=>'tns:MohClassDefinition'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'modifyMohClass',
    array('definition'=>'tns:MohClassDefinition'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delMohClass',
    array('classname'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getMohSongs',
    array('classname'=>'xsd:string'),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);
$server->register(
    'uploadMohSongs',
    array('file_name'=>'xsd:string','file_content'=>'xsd:base64Binary'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'deleteMohSong',
    array('file_name'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>